*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:Arial;
}

body{
background:#f4f6f9;
}


/* Banner */

.gallery-banner{
background:linear-gradient(135deg,#0b3d91,#021c46);
color:white;
text-align:center;
padding:80px 20px;
}

.gallery-banner h1{
font-size:42px;
}


/* Container */

.container{
width:90%;
max-width:1200px;
margin:auto;
}


/* Section */

.gallery-section,
.video-section{
padding:70px 0;
}

h2{
text-align:center;
margin-bottom:40px;
font-size:32px;
color:#222;
}



/* MASONRY GALLERY */

.gallery-grid{
column-count:3;
column-gap:20px;
}

.gallery-grid img{
width:100%;
margin-bottom:20px;
height: auto;
border-radius:12px;
cursor:pointer;
transition:.4s;
box-shadow:0 5px 15px rgba(0,0,0,0.15);
display:block;
break-inside:avoid;
}

.gallery-grid img:hover{
transform:scale(1.03);
}

/* VIDEO */

.video-section{
background:white;
}

.video-grid{
display:grid;
grid-template-columns:repeat(3,1fr);
gap:25px;
}

.video-box{
overflow:hidden;
border-radius:10px;
box-shadow:0 5px 15px rgba(0,0,0,0.15);
}

.video-box iframe,
.video-box video{
width:100%;
height:250px;
border:none;
}


/* LIGHTBOX */

#lightbox{
    position: fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background: rgba(0,0,0,0.9);
    display:none;
    justify-content:center;
    align-items:center;
    z-index:9999;
    cursor:pointer;
}

#lightbox img{
    max-width:90%;
    max-height:90%;
    cursor:auto;
}

.close-btn{
    position:absolute;
    top:20px;
    right:30px;
    font-size:40px;
    color:#fff;
    cursor:pointer;
}

#lightbox span{
position:absolute;
top:30px;
right:40px;
color:white;
font-size:40px;
cursor:pointer;
}

@media(max-width:992px){

.gallery-grid{
column-count:2;
}

}

@media(max-width:600px){

.gallery-grid{
column-count:1;
}

}

/* RESPONSIVE */

@media(max-width:992px){

.gallery-grid{
grid-template-columns:repeat(2,1fr);
}

.video-grid{
grid-template-columns:repeat(2,1fr);
}

}


@media(max-width:600px){

.gallery-banner h1{
font-size:28px;
}

.gallery-grid{
grid-template-columns:1fr;
}

.video-grid{
grid-template-columns:1fr;
}

.gallery-grid img,
.video-box iframe,
.video-box video{
height:220px;
}

}